# Ogre::STLAllocatorBase< T > Struct Template Reference
[Memory]

Wrapper class for operating as an STL container allocator. More...

`#include <OgreMemorySTLAllocator.h>`

Inheritance diagram for Ogre::STLAllocatorBase< T >:
[legend]

List of all members.

## Public Types

typedef T | value_type

## Detailed Description

### template<typename T>
struct Ogre::STLAllocatorBase< T >

Wrapper class for operating as an STL container allocator.

This class acts as the host for a configured allocation policy.

It takes the following template parameters:-

- T : the type we will be allocating (see rebind later)
- AllocPolicy : a memory allocator policy

See StdAllocPolicy for an example of implementing a Policy. The reason for implementing the allocation in a policy is that it makes implementing a custom allocator easier - you just have to provide an alternative policy with just allocate/deallocate implementations; this class does all the housekeeping associated with keeping the STL happy.

Definition at line 64 of file OgreMemorySTLAllocator.h.

## Member Typedef Documentation

template<typename T >

typedef T Ogre::STLAllocatorBase< T >::value_type

Reimplemented in Ogre::STLAllocator< T, AllocPolicy >.

Definition at line 66 of file OgreMemorySTLAllocator.h.

The documentation for this struct was generated from the following file:

- OgreMemorySTLAllocator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56